<!--

=========================================================
* Argon Dashboard - v1.1.1
=========================================================

* Product Page: https://www.creative-tim.com/product/argon-dashboard
* Copyright 2019 Creative Tim (https://www.creative-tim.com)
* Licensed under MIT (https://github.com/creativetimofficial/argon-dashboard/blob/master/LICENSE.md)

* Coded by Creative Tim

=========================================================

* The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. -->
<!doctype html>
<html
	lang="en"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
	translate="no"
>
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
		<title>Argon Dashboard - Free Dashboard for Bootstrap 4 by Creative Tim</title>
		<!-- Favicon -->
		<link th:href="@{/css/assets/img/brand/favicon.png}" rel="icon" type="image/png" />
		<!-- Fonts -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
		<!-- Icons -->
		<link th:href="@{/css/assets/js/plugins/nucleo/css/nucleo.css}" rel="stylesheet" />
		<link th:href="@{/css/assets/js/plugins/@fortawesome/fontawesome-free/css/all.min.css}" rel="stylesheet" />

		<link rel="stylesheet" th:href="@{/css/text_truncate.css}" />
		<!-- CSS Files -->
		<link th:href="@{/css/assets/css/argon-dashboard.css?v=1.1.1}" rel="stylesheet" />
		<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
		<link rel="stylesheet" th:href="@{/css/jquery.dataTables.min.css}" />
		<link rel="stylesheet" th:href="@{/css/js/jquery-clockpicker.min.css}" />
		<link rel="stylesheet" href="css/timePicker.css" />
		<link
			href="https://cdn.jsdelivr.net/npm/select2-bootstrap-theme/dist/select2-bootstrap.min.css"
			rel="stylesheet"
		/>
	</head>

	<body class="">
		<nav class="navbar navbar-vertical fixed-left navbar-expand-md navbar-light bg-white" id="sidenav-main">
			<div class="container-fluid">
				<!-- Toggler -->
				<button
					class="navbar-toggler"
					type="button"
					data-toggle="collapse"
					data-target="#sidenav-collapse-main"
					aria-controls="sidenav-main"
					aria-expanded="false"
					aria-label="Toggle navigation"
				>
					<span class="navbar-toggler-icon"></span>
				</button>
				<!-- Brand -->
				<a class="navbar-brand pt-0" href="./index.html"> Smile . </a>
				<!-- User -->
				<ul class="nav align-items-center d-md-none">
					<li class="nav-item dropdown">
						<a
							class="nav-link nav-link-icon"
							href="#"
							role="button"
							data-toggle="dropdown"
							aria-haspopup="true"
							aria-expanded="false"
						>
							<i class="ni ni-bell-55"></i>
						</a>
						<div
							class="dropdown-menu dropdown-menu-arrow dropdown-menu-right"
							aria-labelledby="navbar-default_dropdown_1"
						>
							<a class="dropdown-item" href="#">Action</a>
							<a class="dropdown-item" href="#">Another action</a>
							<div class="dropdown-divider"></div>
							<a class="dropdown-item" href="#">Something else here</a>
						</div>
					</li>
					<li class="nav-item dropdown">
						<a
							class="nav-link"
							href="#"
							role="button"
							data-toggle="dropdown"
							aria-haspopup="true"
							aria-expanded="false"
						>
							<div class="media align-items-center">
								<span class="avatar avatar-sm rounded-circle">
									<img alt="Image placeholder" th:src="${#authentication.principal.picture}" />
								</span>
							</div>
						</a>
						<div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
							<div class="dropdown-header noti-title">
								<h6 class="text-overflow m-0">Welcome!</h6>
							</div>
							<a
								href="./examples/profile.html"
								class="dropdown-item"
								th:if="${not @environment.acceptsProfiles('production')}"
							>
								<i class="ni ni-single-02"></i>
								<span>My profile</span>
							</a>
							<a
								href="./examples/profile.html"
								class="dropdown-item"
								th:if="${not @environment.acceptsProfiles('production')}"
							>
								<i class="ni ni-calendar-grid-58"></i>
								<span>Activity</span>
							</a>
							<div class="dropdown-divider"></div>
							<a href="javascript: document.logout.submit()" role="menuitem" class="dropdown-item">
								<i class="ni ni-user-run"></i>
								<span>Logout</span>
							</a>
							<form name="logout" th:action="@{/logout}" method="post" th:hidden="true">
								<input hidden type="submit" value="Sign Out" />
							</form>
						</div>
					</li>
				</ul>
				<!-- Collapse -->
				<div class="collapse navbar-collapse" id="sidenav-collapse-main">
					<!-- Collapse header -->
					<div class="navbar-collapse-header d-md-none">
						<div class="row">
							<div class="col-6 collapse-brand">
								<a href="./index.html">
									<img src="../css/assets/img/brand/blue.png" />
								</a>
							</div>
							<div class="col-6 collapse-close">
								<button
									type="button"
									class="navbar-toggler"
									data-toggle="collapse"
									data-target="#sidenav-collapse-main"
									aria-controls="sidenav-main"
									aria-expanded="false"
									aria-label="Toggle sidenav"
								>
									<span></span>
									<span></span>
								</button>
							</div>
						</div>
					</div>
					<!-- Form -->
					<form class="mt-4 mb-3 d-md-none">
						<div class="input-group input-group-rounded input-group-merge">
							<input
								type="search"
								class="form-control form-control-rounded form-control-prepended"
								placeholder="Search"
								aria-label="Search"
							/>
							<div class="input-group-prepend">
								<div class="input-group-text">
									<span class="fa fa-search"></span>
								</div>
							</div>
						</div>
					</form>
					<!-- Navigation -->
					<ul class="navbar-nav">
						<li class="nav-item active">
							<a class="nav-link active" th:href="@{/admin}">
								<i class="ni ni-tv-2 text-primary"></i> Dashboard
							</a>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS')"
						>
							<a
								class="nav-link"
								href="#navbar-tablesAnalisa"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-chart-bar-32 text-indigo"></i>
								<span class="nav-link-text">Analytics</span>
							</a>
							<div class="collapse" id="navbar-tablesAnalisa">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/analytics/dosen/list}" class="nav-link">Dosen</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/analytics/mahasiswa/list}" class="nav-link">Mahasiswa</a>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')"
						>
							<a
								class="nav-link"
								href="#navbar-tables"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 text-default"></i>
								<span class="nav-link-text">Perlengkapan</span>
							</a>
							<div class="collapse" id="navbar-tables">
								<ul class="nav nav-sm flex-column">
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER')">
										<a th:href="@{/equipment/institution/list}" class="nav-link">Institusi</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER')">
										<a th:href="@{/equipment/building/list}" class="nav-link">Gedung</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER')">
										<a th:href="@{/equipment/campus/list}" class="nav-link">Kampus</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER')">
										<a th:href="@{/equipment/room/list}" class="nav-link">Ruang Kelas</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/equipment/class/list}" class="nav-link">Kelas</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_PEMBINA')"
									>
										<a th:href="@{/setting/mahasiswa/dosen_wali}" class="nav-link">Perwalian</a>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_TRANSCRIPT_ADMIN') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
						>
							<a
								class="nav-link"
								href="#navbar-setting"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-settings text-danger"></i>
								<span class="nav-link-text">Pengaturan</span>
							</a>
							<div class="collapse" id="navbar-setting">
								<ul class="nav nav-sm flex-column">
									<li
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
										class="nav-item"
									>
										<a th:href="@{/setting/program/list}" class="nav-link">Program</a>
									</li>

									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_TRANSCRIPT_ADMIN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/beasiswa/list}" class="nav-link">Beasiswa</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/level/list}" class="nav-link">Jenjang</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/faculty/list}" class="nav-link">Fakultas</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/major/list}" class="nav-link">Jurusan</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/prody/list}" class="nav-link">Program Studi</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/concentration/list}" class="nav-link">Konstrasi</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/edomquestion/list}" class="nav-link">EDOM</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/setting/mahasiswa/dosen_wali}" class="nav-link">Perwalian</a>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_TLC') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KHS_ADMIN') or  hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_STAFF') or hasAuthority('')"
						>
							<a
								class="nav-link"
								href="#navbar-academic"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-book-bookmark text-blue"></i>
								<span class="nav-link-text">Aktivitas Akademik</span>
							</a>
							<div class="collapse" id="navbar-academic">
								<ul class="nav nav-sm flex-column">
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1')"
											th:href="@{/academic/year/list}"
											class="nav-link"
											>Tahun Akademik</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI')"
											th:href="@{/academic/curriculum/list}"
											class="nav-link"
											>Kurikulum</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI')"
											th:href="@{/academic/courses/list}"
											class="nav-link"
											>Matakuliah</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI')"
											th:href="@{/academic/curriculumCourses/list}"
											class="nav-link"
											>Matakuliah Kurikulum</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_TLC')"
											th:href="@{/academic/ploting/list}"
											class="nav-link"
											>Ploting Dosen</a
										>
									</li>
									<li class="nav-item" th:if="${not @environment.acceptsProfiles('production')}">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS')"
											href="../../pages/tables/sortable.html"
											class="nav-link"
											>Lecturer schedule</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI')"
											th:href="@{/academic/schedule/room}"
											class="nav-link"
											>Jadwal Ruangan</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_TLC')"
											th:href="@{/academic/schedule/list}"
											class="nav-link"
											>Jadwal Kuliah</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_KHS_ADMIN') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_TLC')"
											th:href="@{/academic/event}"
											class="nav-link"
											>Acara/Event</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_STAFF_PRODI')"
											th:href="@{/academic/schedule/ujian}"
											class="nav-link"
											>Jadwal Ujian</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS')"
											th:href="@{/academic/conversion/list}"
											class="nav-link"
											>Konversi Nilai</a
										>
									</li>
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS')"
											th:href="@{/academic/equalization/list}"
											class="nav-link"
											>Penyetaraan Nilai</a
										>
									</li>
								</ul>
							</div>
						</li>

						<li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS')">
							<a
								class="nav-link"
								href="#navbar-prodi"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-book-bookmark text-blue"></i>
								<span class="nav-link-text">Program Studi</span>
							</a>
							<div class="collapse" id="navbar-prodi">
								<ul class="nav nav-sm flex-column">
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS')"
											th:href="@{/academic/prodi/list}"
											class="nav-link"
											>Tahun Prodi</a
										>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_BEASISWA') or hasAuthority('VIEW_ADMIN_MATRIK') or hasAuthority('VIEW_KPS')"
						>
							<a class="nav-link" th:href="@{/mahasiswa/list}">
								<i class="ni ni-single-02 text-yellow"></i>
								Mahasiswa
							</a>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KHS_ADMIN') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_TRANSCRIPT_ADMIN')  or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_BEASISWA') or hasAuthority('VIEW_KABAG_PERPUSTAKAAN') or hasAuthority('VIEW_TLC')"
						>
							<a
								class="nav-link"
								href="#navbar-study"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-user-run text-green"></i>
								<span class="nav-link-text">Aktivitas Mahasiswa</span>
							</a>
							<div class="collapse" id="navbar-study">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KABAG_AKADEMIK') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/studiesActivity/sp/list}" class="nav-link">Pra KRS SP</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KABAG_AKADEMIK') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/studiesActivity/krs/status}" class="nav-link">Status KRS</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_TLC')"
									>
										<a th:href="@{/studiesActivity/krs/list}" class="nav-link">KRS</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/studiesActivity/krs/paket}" class="nav-link">Generate KRS</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/studiesActivity/attendance/list}" class="nav-link">Presensi</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studiesActivity/attendance/listdosen}" class="nav-link"
											>Presensi</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_SUPERUSER')"
									>
										<a th:href="@{/studiesActivity/validation/list}" class="nav-link"
											>Validasi Ujian</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/studiesActivity/assesment/list}" class="nav-link">Penilaian</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studiesActivity/assesment/listdosen}" class="nav-link"
											>Penilaian</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KHS_ADMIN') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/studiesActivity/khs/list}" class="nav-link">KHS</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')"
									>
										<a th:href="@{/studiesActivity/mbkm/list}" class="nav-link">Penilaian MBKM</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_TRANSCRIPT_ADMIN') or hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_BEASISWA')"
									>
										<a th:href="@{/studiesActivity/transcript/list}" class="nav-link">Transcript</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_BEASISWA')"
									>
										<a th:href="@{/studiesActivity/transcript/cetaktranscript}" class="nav-link"
											>Transcript Akhir</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/berkas/uploadSoal/list}" class="nav-link"
											>Upload & Download Soal</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/studiesActivity/krs/approval/list}" class="nav-link"
											>Approval KRS & MBKM</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER')  or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/request-konversi/admin}" class="nav-link">Request Konversi</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_KPS')">
										<a th:href="@{/request-konversi/prodi}" class="nav-link">Request Konversi</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_KHS_ADMIN')">
										<a th:href="@{/request-konversi/kemahasiswaan}" class="nav-link"
											>Request Konversi</a
										>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_TQC')">
										<a th:href="@{/request-konversi/tqc}" class="nav-link">Request Konversi</a>
									</li>

									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KHS_ADMIN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_TLC')"
											th:href="@{/academic/event}"
											class="nav-link"
											>Acara/Event</a
										>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
						>
							<a
								class="nav-link"
								href="#activation"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-check-bold text-pink"></i>
								<span class="nav-link-text">Aktivasi Manual</span>
							</a>
							<div class="collapse" id="activation">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/activation/krs}" class="nav-link">KRS</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE')">
										<a th:href="@{/activation/rfid}" class="nav-link">Aktivasi Kartu</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE')">
										<a th:href="@{/activation/kartu}" class="nav-link">Kartu Ujian</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_WAREK2')">
										<a th:href="@{/activation/cicilan}" class="nav-link">Custom Cicilan</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_FINANCE')"
									>
										<a th:href="@{/activation/peringanan}" class="nav-link">Pengajuan Peringanan</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE')">
										<a th:href="@{/activation/tugasAkhir}" class="nav-link">Tugas Akhir</a>
									</li>
									<li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE')">
										<a th:href="@{/activation/toefl}" class="nav-link">Tes TOEFL / IELTS</a>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
						>
							<a
								class="nav-link"
								href="#studentBill"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-check-bold text-pink"></i>
								<span class="nav-link-text">Tagihan Mahasiswa</span>
							</a>
							<div class="collapse" id="studentBill">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/refund/list}" class="nav-link"
											>Pengajuan Pengembalian</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/requestPenangguhan/list}" class="nav-link"
											>Pengajuan Penangguhan</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/requestPeringanan/list}" class="nav-link"
											>Pengajuan Peringanan</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/requestCicilan/list}" class="nav-link"
											>Pengajuan Cicilan</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/daftarulang/list}" class="nav-link">Daftar Ulang</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/billAdmin/list}" class="nav-link">Tagihan</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/billAdmin/tagihanAsli}" class="nav-link"
											>Tagihan Asli</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/rekapTagihan/angkatan}" class="nav-link"
											>Rekapan Tagihan</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/pembayaran/list}" class="nav-link">Pembayaran</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/billAdmin/generate}" class="nav-link"
											>Generate Bill</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/scholarship/generate}" class="nav-link"
											>Generate Bill Beasiswa</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/billAdmin/potongan}" class="nav-link"
											>Generate Potongan</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/typeBill/list}" class="nav-link">Jenis Tagihan</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/valueType/list}" class="nav-link"
											>Nilai Jenis Tagihan</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/studentBill/scholarship/list}" class="nav-link"
											>Nilai Tagihan Beasiswa</a
										>
									</li>
									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')">-->
									<!--                                <a th:href="@{/studentBill/jenisDiskon/list}" class="nav-link">Diskon</a>-->
									<!--                            </li>-->
									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_WAREK2')">-->
									<!--                                <a th:href="@{/studentBill/payment/report}" class="nav-link">Report</a>-->
									<!--                            </li>-->
								</ul>
							</div>
						</li>
						<li class="nav-item" sec:authorize="hasAuthority('VIEW_FINANCE')">
							<a class="nav-link" th:href="@{/memoKeuangan/list}">
								<i class="ni ni-book-bookmark text-info"></i>
								Memo Keuangan
							</a>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or
                    hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KPS') or
                    hasAuthority('VIEW_PERPUSTAKAAN') or hasAuthority('VIEW_KABAG_PERPUSTAKAAN') or hasAuthority('VIEW_FINANCE') or
                    hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_TLC') or hasAuthority('VIEW_TQC') or hasAuthority('VIEW_ADMIN_MATRIK')"
						>
							<a
								class="nav-link"
								href="#navbar-grad"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-paper-diploma text-warning"></i>
								<span class="nav-link-text">Kelulusan</span>
							</a>
							<div class="collapse" id="navbar-grad">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/graduation/periodeWisuda/list}" class="nav-link"
											>Kalender Wisuda</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/graduation/magang/admin/list}" class="nav-link"
											>Laporan Magang</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/graduation/admin/score}" class="nav-link">Penilain Magang</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/graduation/admin/list}" class="nav-link">Konsep Note</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/graduation/seminar/prodi/list}" class="nav-link"
											>Seminar Proposal</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/graduation/seminar/admin/list}" class="nav-link"
											>Seminar Proposal</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/ujianTahfidz}" class="nav-link">Tahfidz</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/komprehensif}" class="nav-link">Komprehensif</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_FINANCE')"
									>
										<a th:href="@{/graduation/sidang/admin/list}" class="nav-link"
											>Sidang Skripsi / Thesis</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/graduation/lecture/list}" class="nav-link">Konsep Note</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/graduation/lecture/sempro}" class="nav-link"
											>Penilaian Seminar</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_STAFF_PRODI')"
									>
										<a th:href="@{/graduation/sidang/prodi/list}" class="nav-link"
											>Penjadwalan Sidang</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2')"
									>
										<a th:href="@{/graduation/sidang/dosen/list}" class="nav-link"
											>Penilaian Sidang Skripsi / Thesis</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_FINANCE') or hasAuthority('VIEW_PERPUSTAKAAN') or hasAuthority('VIEW_KABAG_PERPUSTAKAAN') or hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK') or hasAuthority('VIEW_TLC') or hasAuthority('VIEW_TQC') or hasAuthority('VIEW_ADMIN_MATRIK')"
									>
										<a th:href="@{/kewajiban/admin}" class="nav-link">Bebas Kewajiban Mahasiswa</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_FINANCE')"
									>
										<a th:href="@{/graduation/sidang/admin/listwisuda}" class="nav-link">Wisuda</a>
									</li>
									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_SUPERUSER')">-->
									<!--                                <a th:href="@{/graduation/periodeWisuda/list}" class="nav-link">Periode Wisuda</a>-->
									<!--                            </li>-->
									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_SUPERUSER')">-->
									<!--                                <a th:href="@{/graduation/kategori/list}" class="nav-link">Kategori Tugas Akhir</a>-->
									<!--                            </li>-->
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_TLC') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_SUPERUSER')"
						>
							<a
								class="nav-link"
								href="#navbar-tlc"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-tie-bow text-orange"></i>
								<span class="nav-link-text">TLC</span>
							</a>
							<div class="collapse" id="navbar-tlc">
								<ul class="nav nav-sm flex-column">
									<li class="nav-item">
										<a
											sec:authorize="hasAuthority('VIEW_TLC') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_SUPERUSER')"
											th:href="@{/tlc/periode/list}"
											class="nav-link"
											>Periode Bahasa</a
										>
										<a
											sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_KPS') "
											th:href="@{/tlc/dosen/list}"
											class="nav-link"
											>Attendance</a
										>
										<a
											sec:authorize="hasAuthority('VIEW_TLC')"
											th:href="@{/kuesioner/periodeUjian/list}"
											class="nav-link"
											>Periode Ujian</a
										>
										<a
											sec:authorize="hasAuthority('VIEW_TLC')"
											th:href="@{/kuesioner/toefl/admin/list (status = 'WAITING')}"
											class="nav-link"
											>TOEFL</a
										>
										<a
											sec:authorize="hasAuthority('VIEW_TLC')"
											th:href="@{/kuesioner/ielts/admin/list (status = 'WAITING')}"
											class="nav-link"
											>IELTS</a
										>
										<a
											sec:authorize="hasAuthority('VIEW_TLC')"
											th:href="@{/studentBill/tlc/list}"
											class="nav-link"
											>Tagihan Test</a
										>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_HUMAN')"
						>
							<a
								class="nav-link"
								href="#navbar-human"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-tie-bow text-orange"></i>
								<span class="nav-link-text">Sumber Daya Manusia</span>
							</a>
							<div class="collapse" id="navbar-human">
								<ul class="nav nav-sm flex-column">
									<li class="nav-item">
										<a th:href="@{/humanResources/employee/list}" class="nav-link">Karyawan</a>
									</li>
									<li class="nav-item">
										<a th:href="@{/humanResources/lecturer/list}" class="nav-link">Dosen</a>
									</li>
									<li class="nav-item">
										<a th:href="@{/humanResources/lecturer/jabatan}" class="nav-link"
											>Jabatan Dosen</a
										>
									</li>
									<li class="nav-item">
										<a th:href="@{/report/recapitulation/salary}" class="nav-link"
											>Rekap Gaji Dosen</a
										>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_TRANSCRIPT_ADMIN') or hasAuthority('SETTING_MESIN_ABSEN') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_TLC') or hasAuthority('VIEW_BEASISWA') "
						>
							<a
								class="nav-link"
								href="#navbar-report"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-align-left-2 ni-folder-17 text-danger"></i>
								<span class="nav-link-text">Laporan</span>
							</a>
							<div class="collapse" id="navbar-report">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_AKADEMIK1')"
									>
										<a th:href="@{/report/recapitulation/lecturer}" class="nav-link"
											>Laporan Dosen</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/report/recapitulation/schedule}" class="nav-link"
											>Laporan Presensi</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/report/recapitulation/bkd}" class="nav-link">Laporan BKD</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_KPS')"
									>
										<a th:href="@{/report/recapitulation/edom}" class="nav-link">Laporan Edom</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_BEASISWA')"
									>
										<a th:href="@{/report/recapitulation/ipk}" class="nav-link">Laporan IPK</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/report/mbkm}" class="nav-link">Laporan MBKM</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/report/ujian}" class="nav-link">Laporan Ujian</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/report/recapitulation/presensiDosen/list}" class="nav-link"
											>Rekap Presensi Dosen</a
										>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_TLC') or hasAuthority('VIEW_TRANSCRIPT_ADMIN') or hasAuthority('SETTING_MESIN_ABSEN') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_PEMBINA') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_BEASISWA')"
									>
										<a th:href="@{/report/historymahasiswa}" class="nav-link">Riwayat Mahasiswa</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
									>
										<a th:href="@{/report/cuti}" class="nav-link">Mahasiswa Cuti</a>
									</li>
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_STAFF_PRODI') or hasAuthority('VIEW_DOSEN_AKADEMIK') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_SUPERUSER')"
									>
										<a th:href="@{/report/mahasiswaPembinaanList}" class="nav-link"
											>Pembinaan Mahasiswa</a
										>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')"
						>
							<a
								class="nav-link"
								href="#navbar-elearning"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-laptop text-orange"></i>
								<span class="nav-link-text">Elearning</span>
							</a>
							<div class="collapse" id="navbar-elearning">
								<ul class="nav nav-sm flex-column">
									<!--                            sementara di close-->
									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')">-->
									<!--                                <a class="nav-link " th:href="@{/elearning/importAbsenDosen}">-->
									<!--                                    Import Absensi Dosen-->
									<!--                                </a>-->
									<!--                            </li>-->

									<!--                            &lt;!&ndash;admin&ndash;&gt;-->
									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF')">-->
									<!--                                <a class="nav-link " th:href="@{/elearning/importAbsen}">-->
									<!--                                    Import Absen-->
									<!--                                </a>-->
									<!--                            </li>-->

									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF')">-->
									<!--                                <a class="nav-link " th:href="@{/elearning/importAbsenProdi}">-->
									<!--                                    Import Absen Prodi-->
									<!--                                </a>-->
									<!--                            </li>-->

									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF')"
									>
										<a class="nav-link" th:href="@{/elearning/importNilai}"> Import Nilai </a>
									</li>

									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF')"
									>
										<a class="nav-link" th:href="@{/elearning/importNilaiProdi}">
											Import Nilai Prodi
										</a>
									</li>

									<!--                            <li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF')">-->
									<!--                                <a class="nav-link " th:href="@{/elearning/enrollKelas}">-->
									<!--                                    Enroll Kelas-->
									<!--                                </a>-->
									<!--                            </li>-->

									<!--dosen-->
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN') or hasAuthority('VIEW_DOSEN_AKADEMIK')"
									>
										<a class="nav-link" th:href="@{/elearning/importNilaiDosen}">
											Import Nilai Dosen
										</a>
									</li>

									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2') or hasAuthority('VIEW_STAFF')"
									>
										<a class="nav-link" th:href="@{/elearning/historyImportNilaiDosen}">
											History Nilai Dosen
										</a>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_MATRIKULASI')"
						>
							<a
								class="nav-link"
								href="#navbar-matrikulasi"
								data-toggle="collapse"
								role="button"
								aria-expanded="false"
								aria-controls="navbar-tables"
							>
								<i class="ni ni-laptop text-orange"></i>
								<span class="nav-link-text">Matrikulasi</span>
							</a>
							<div class="collapse" id="navbar-matrikulasi">
								<ul class="nav nav-sm flex-column">
									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_MATRIKULASI')"
									>
										<a class="nav-link" th:href="@{/matrikulasi/inputNilai}"> Input Nilai </a>
									</li>

									<li
										class="nav-item"
										sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_MATRIKULASI')"
									>
										<a class="nav-link" th:href="@{/matrikulasi/importNilai}"> Import Nilai </a>
									</li>
								</ul>
							</div>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK2')"
						>
							<a class="nav-link" th:href="@{/mahasiswa/rfid}">
								<i class="ni ni-single-02 text-blue"></i>
								RFID
							</a>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
						>
							<a class="nav-link" th:href="@{/kesediaanMengajar/list}">
								<i class="ni ni-collection text-green"></i>
								Kesediaan Mengajar
							</a>
						</li>

						<li class="nav-item" sec:authorize="hasAuthority('VIEW_KPS') or hasAuthority('VIEW_DOSEN')">
							<a class="nav-link" th:href="@{/kesediaanMengajar/dosen}">
								<i class="ni ni-collection text-green"></i>
								Kesediaan Mengajar
							</a>
						</li>

						<li
							class="nav-item"
							sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_AKADEMIK1') or hasAuthority('VIEW_AKADEMIK2')"
						>
							<a th:class="${'nav-link ' + statusmenu}" th:href="@{/dokumen}">
								<i class="ni ni-collection text-green"></i>
								Dokumen
							</a>
						</li>

						<!--                <li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER') or hasAuthority('VIEW_KPS') or hasAuthority('VIEW_AKADEMIK2')">-->
						<!--                    <a class="nav-link " th:href="@{/ujianTahfidKompre(status = 'All')}">-->
						<!--                        <i class="ni ni-bullet-list-67 text-danger"></i>-->
						<!--                        Tahfidz & Komprehensif-->
						<!--                    </a>-->
						<!--                </li>-->

						<!--                <li class="nav-item" sec:authorize="hasAuthority('VIEW_SUPERUSER')">-->
						<!--                    <form method="post" th:action="@{/setting/jadwal}">-->
						<!--                        <button class="btn btn-success btn-lg" type="submit">-->
						<!--                            <i class="ni ni-collection text-green"></i>-->
						<!--                            Test Kesediaan Mengajar-->
						<!--                        </button>-->
						<!--                    </form>-->
						<!--                    </a>-->
						<!--                </li>-->
					</ul>
				</div>
			</div>
		</nav>
		<div class="main-content">
			<!-- Navbar -->
			<nav class="navbar navbar-top navbar-expand-md navbar-dark" id="navbar-main">
				<div class="container-fluid">
					<!-- Brand -->
					<a class="h4 mb-0 text-white text-uppercase d-none d-lg-inline-block" href="./index.html"></a>
					<!-- Form -->
					<form class="navbar-search navbar-search-dark form-inline mr-3 d-none d-md-flex ml-lg-auto">
						<div class="form-group mb-0">
							<div class="input-group input-group-alternative">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fas fa-search"></i></span>
								</div>
								<input class="form-control" placeholder="Search" type="text" />
							</div>
						</div>
					</form>
					<!-- User -->
					<ul class="navbar-nav align-items-center d-none d-md-flex">
						<li class="nav-item dropdown">
							<a
								class="nav-link pr-0"
								href="#"
								role="button"
								data-toggle="dropdown"
								aria-haspopup="true"
								aria-expanded="false"
							>
								<div class="media align-items-center">
									<span class="avatar avatar-sm rounded-circle">
										<img alt="Image placeholder" th:src="${#authentication.principal.picture}" />
									</span>
									<div class="media-body ml-2 d-none d-lg-block">
										<span
											th:text="${#authentication.principal.fullName}"
											class="mb-0 text-sm font-weight-bold"
											>Jessica Jones</span
										>
									</div>
								</div>
							</a>
							<div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
								<div class="dropdown-header noti-title">
									<h6 class="text-overflow m-0">Welcome!</h6>
								</div>
								<a
									href="./examples/profile.html"
									class="dropdown-item"
									th:if="${not @environment.acceptsProfiles('production')}"
								>
									<i class="ni ni-single-02"></i>
									<span>My profile</span>
								</a>
								<a
									href="./examples/profile.html"
									class="dropdown-item"
									th:if="${not @environment.acceptsProfiles('production')}"
								>
									<i class="ni ni-calendar-grid-58"></i>
									<span>Activity</span>
								</a>
								<div class="dropdown-divider"></div>
								<a
									href="javascript: document.logoutForm.submit()"
									role="menuitem"
									class="dropdown-item"
								>
									<i class="ni ni-user-run"></i>
									<span>Logout</span>
								</a>
								<form name="logoutForm" th:action="@{/logout}" method="post" th:hidden="true">
									<input hidden type="submit" value="Sign Out" />
								</form>
							</div>
						</li>
					</ul>
				</div>
			</nav>
			<!-- End Navbar -->
			<!-- Header -->
			<div layout:fragment="main"></div>
			<!-- Footer -->
			<div style="padding-left: 50px; padding-right: 50px">
				<footer class="footer">
					<div class="row align-items-center justify-content-xl-between">
						<div class="col-xl-6">
							<div class="copyright text-center text-xl-left text-muted">
								&copy; 2020
								<a href="https://www.creative-tim.com" class="font-weight-bold ml-1" target="_blank"
									>Smile</a
								>
								<!--  &nbsp;<span th:text="${T(org.springframework.core.env.AbstractEnvironment).getProperty('version')}"></span> -->
							</div>
						</div>
						<div class="col-xl-6">
							<ul class="nav nav-footer justify-content-center justify-content-xl-end">
								<li class="nav-item">
									<a href="https://www.creative-tim.com" class="nav-link" target="_blank"
										>Creative Tim</a
									>
								</li>
								<li class="nav-item">
									<a href="https://www.creative-tim.com/presentation" class="nav-link" target="_blank"
										>About Us</a
									>
								</li>
								<li class="nav-item">
									<a href="http://blog.creative-tim.com" class="nav-link" target="_blank">Blog</a>
								</li>
								<li class="nav-item">
									<a
										href="https://github.com/creativetimofficial/argon-dashboard/blob/master/LICENSE.md"
										class="nav-link"
										target="_blank"
										>MIT License</a
									>
								</li>
							</ul>
						</div>
					</div>
				</footer>
			</div>
		</div>
		<!--   Core   -->
		<script th:src="@{/css/assets/js/plugins/jquery/dist/jquery.min.js}"></script>
		<script th:src="@{/css/js/aplikasi.js}"></script>
		<script th:src="@{/css/js/jquery-clockpicker.min.js}"></script>
		<script th:src="@{/css/assets/js/plugins/bootstrap/dist/js/bootstrap.bundle.min.js}"></script>
		<!--   Optional JS   -->
		<script th:src="@{/css/assets/js/plugins/chart.js/dist/Chart.min.js}"></script>
		<script th:src="@{/css/assets/js/plugins/chart.js/dist/Chart.extension.js}"></script>
		<!--   Argon JS   -->
		<script th:src="@{/css/assets/js/argon-dashboard.min.js?v=1.1.1}"></script>
		<script th:src="@{/css/assets/js/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js}"></script>
		<link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet" />
		<script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
		<script src="https://cdn.rawgit.com/bassjobsen/Bootstrap-3-Typeahead/master/bootstrap3-typeahead.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/lodash@4.17.4/lodash.min.js"></script>
		<script src="https://cdn.trackjs.com/agent/v3/latest/t.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
		<script th:src="@{/js/data-table/jquery.dataTables.min.js}"></script>
		<script th:src="@{/js/data-table/data-table-act.js}"></script>
		<script th:src="@{/css/assets/js/plugins/repeater/jquery.ac-form-field-repeater.js}"></script>
		<script th:src="@{/tinymce/tinymce.min.js}"></script>

		<script>
			window.TrackJS &&
				TrackJS.install({
					token: "ee6fab19c5a04ac1a32a645abde4613a",
					application: "argon-dashboard-free",
				});
		</script>

		<link rel="stylesheet" th:href="@{/css/timePicker.css}" />
		<script th:src="@{/css/jquery-timepicker.js}"></script>
		<script>
			$().ready(function (e) {
				$(".timePicker").hunterTimePicker({
					callback: function (e) {},
				});

				$(".time-picker").hunterTimePicker();
			});
		</script>
		<script>
			$("#selectsatu").select2({
				theme: "bootstrap4",
				width: $(this).data("width") ? $(this).data("width") : $(this).hasClass("w-100") ? "100%" : "style",
				placeholder: $(this).data("placeholder"),
			});
			$("#selectdua").select2({
				theme: "bootstrap4",
				width: $(this).data("width") ? $(this).data("width") : $(this).hasClass("w-100") ? "100%" : "style",
				placeholder: $(this).data("placeholder"),
			});
			$("#selecttiga").select2({
				theme: "bootstrap4",
				width: $(this).data("width") ? $(this).data("width") : $(this).hasClass("w-100") ? "100%" : "style",
				placeholder: $(this).data("placeholder"),
			});
			$("#selectempat").select2({
				theme: "bootstrap4",
				width: $(this).data("width") ? $(this).data("width") : $(this).hasClass("w-100") ? "100%" : "style",
				placeholder: $(this).data("placeholder"),
			});
		</script>
		<th:block layout:fragment="script"></th:block>
	</body>
</html>
